Subject: bug#65053: 30.0.50; Emacs falsely recommends removal of explicitly installed

From: Yuan Fu <[email-masked]>
Date: Fri, 4 Aug 2023 09:16:13 -0700

> On Aug 4, 2023, at 8:15 AM, Raoul Comninos <[email-masked]> wrote:
> 
> I am encountering a peculiar issue with Emacs's package management system where it is falsely recommending the removal of packages that I have explicitly installed via package-install. One such example is the markdown-mode package.
> I have installed the affected packages explicitly using M-x package-install, so they are not dependencies.
> I am using Emacs's built-in package.el for package management.
> This behaviour is consistent and affects packages that I want to keep.
> The recommendation for removal occurs when I go to the list of packages (M-x list-packages) and press capital "U" to update packages. Emacs then prompts me to update the packages and recommends certain packages for removal, even though I want to keep them.
> I have checked the usual scenarios such as package dependencies and made sure I am using the correct installation method. I am unable to identify why this is happening.
> This thread provides a workaround but does not explain why the package is excluded or indicate that it is a problem that will be rectified:
> How does package-autoremove decide which packages to remove?
> Why is Emacs recommending the removal of these explicitly installed packages, and is this behaviour which I have observed for a long time going to be fixed?
> Emacs Version: 30
> Any insights or guidance on this issue would be greatly appreciated!

It could be that package.el is merely suggesting you to remove the old version of these packages, when you update some packages and the new versions are installed.

Yuan